=== debian/changelog ===
haskell-lambdahack (0.5.0.0-2build5) bionic; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 20 Dec 2017 19:11:33 +0100

haskell-lambdahack (0.5.0.0-2build4) bionic; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 26 Nov 2017 16:22:53 +0100

haskell-lambdahack (0.5.0.0-2build3) bionic; urgency=medium

  * No-change rebuild for new GHC ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 05 Nov 2017 04:21:46 +0000

haskell-lambdahack (0.5.0.0-2build2) artful; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 19 Jul 2017 09:38:28 +0200

haskell-lambdahack (0.5.0.0-2build1) artful; urgency=medium

  * No-change rebuild for new GHC ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 25 Jun 2017 03:47:08 +0000

haskell-lambdahack (0.5.0.0-2) unstable; urgency=medium

  * Don't use -N1 for testsuite.  closes: #864854.

 -- Clint Adams <clint@debian.org>  Mon, 19 Jun 2017 13:47:56 -0400

haskell-lambdahack (0.5.0.0-1) unstable; urgency=low

  * Initial release.

 -- Clint Adams <clint@debian.org>  Mon, 12 Jun 2017 07:52:36 -0400
