=== debian/control ===
Source: haskell-lambdahack
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Clint Adams <clint@debian.org>
Priority: extra
Section: haskell
Build-Depends: debhelper (>= 10),
 haskell-devscripts-minimal | haskell-devscripts (>= 0.8),
 cdbs,
 ghc,
 ghc-prof,
 libghc-assert-failure-dev (>= 0.1),
 libghc-assert-failure-dev (<< 1),
 libghc-assert-failure-prof (>= 0.1),
 libghc-assert-failure-prof (<< 1),
 libghc-async-dev (>= 2),
 libghc-async-dev (<< 3),
 libghc-async-prof (>= 2),
 libghc-async-prof (<< 3),
 libghc-data-default-dev,
 libghc-data-default-prof,
 libghc-enummapset-th-dev (>= 0.6.0.0),
 libghc-enummapset-th-dev (<< 1),
 libghc-enummapset-th-prof (>= 0.6.0.0),
 libghc-enummapset-th-prof (<< 1),
 libghc-gtk-dev (>= 0.12.1),
 libghc-gtk-prof (>= 0.12.1),
 libghc-hashable-dev (>= 1.1.2.5),
 libghc-hashable-dev (<< 2),
 libghc-hashable-prof (>= 1.1.2.5),
 libghc-hashable-prof (<< 2),
 libghc-hsini-dev (>= 0.2),
 libghc-hsini-dev (<< 2),
 libghc-hsini-prof (>= 0.2),
 libghc-hsini-prof (<< 2),
 libghc-keys-dev (>= 3),
 libghc-keys-dev (<< 4),
 libghc-keys-prof (>= 3),
 libghc-keys-prof (<< 4),
 libghc-miniutter-dev (>= 0.4.4),
 libghc-miniutter-dev (<< 2),
 libghc-miniutter-prof (>= 0.4.4),
 libghc-miniutter-prof (<< 2),
 libghc-mtl-dev (>= 2.0.1),
 libghc-mtl-dev (<< 3),
 libghc-mtl-prof (>= 2.0.1),
 libghc-mtl-prof (<< 3),
 libghc-old-time-dev (>= 1.0.0.7),
 libghc-old-time-dev (<< 2),
 libghc-old-time-prof (>= 1.0.0.7),
 libghc-old-time-prof (<< 2),
 libghc-pretty-show-dev (>= 1.6),
 libghc-pretty-show-dev (<< 2),
 libghc-pretty-show-prof (>= 1.6),
 libghc-pretty-show-prof (<< 2),
 libghc-random-dev (>= 1.1),
 libghc-random-dev (<< 2),
 libghc-random-prof (>= 1.1),
 libghc-random-prof (<< 2),
 libghc-stm-dev (>= 2.4),
 libghc-stm-dev (<< 3),
 libghc-stm-prof (>= 2.4),
 libghc-stm-prof (<< 3),
 libghc-text-dev (>= 0.11.2.3),
 libghc-text-dev (<< 2),
 libghc-text-prof (>= 0.11.2.3),
 libghc-text-prof (<< 2),
 libghc-unordered-containers-dev (>= 0.2.3),
 libghc-unordered-containers-dev (<< 1),
 libghc-unordered-containers-prof (>= 0.2.3),
 libghc-unordered-containers-prof (<< 1),
 libghc-vector-dev (>= 0.10),
 libghc-vector-dev (<< 1),
 libghc-vector-prof (>= 0.10),
 libghc-vector-prof (<< 1),
 libghc-vector-binary-instances-dev (>= 0.2),
 libghc-vector-binary-instances-dev (<< 1),
 libghc-vector-binary-instances-prof (>= 0.2),
 libghc-vector-binary-instances-prof (<< 1),
 libghc-zlib-dev (>= 0.5.3.1),
 libghc-zlib-dev (<< 1),
 libghc-zlib-prof (>= 0.5.3.1),
 libghc-zlib-prof (<< 1),
 libgtk2.0-dev,
Build-Depends-Indep: ghc-doc,
 libghc-assert-failure-doc,
 libghc-async-doc,
 libghc-data-default-doc,
 libghc-enummapset-th-doc,
 libghc-gtk-doc,
 libghc-hashable-doc,
 libghc-hsini-doc,
 libghc-keys-doc,
 libghc-miniutter-doc,
 libghc-mtl-doc,
 libghc-old-time-doc,
 libghc-pretty-show-doc,
 libghc-random-doc,
 libghc-stm-doc,
 libghc-text-doc,
 libghc-unordered-containers-doc,
 libghc-vector-doc,
 libghc-vector-binary-instances-doc,
 libghc-zlib-doc,
Standards-Version: 3.9.8
Homepage: http://github.com/LambdaHack/LambdaHack
X-Description: game engine library for roguelike dungeon crawlers
 LambdaHack is a game engine library for roguelike games
 of arbitrary theme, size and complexity,
 packaged together with a small example dungeon crawler.
 .
 When completed, the engine will let you specify content
 to be procedurally generated, define the AI behaviour
 on top of the generic content-independent rules
 and compile a ready-to-play game binary, using either
 the supplied or a custom-made main loop.
 Several frontends are available (GTK+ is the default)
 and many other generic engine components are easily overridden,
 but the fundamental source of flexibility lies
 in the strict and type-safe separation of code from the content
 and of clients (human and AI-controlled) from the server.
 Please see the changelog file for recent improvements
 and the issue tracker for short-term plans. Long term vision
 revolves around procedural content generation and includes
 in-game content creation, auto-balancing and persistent
 content modification based on player behaviour.

Package: libghc-lambdahack-dev
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-lambdahack-prof
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-lambdahack-doc
Architecture: all
Section: doc
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: lambdahack
Architecture: any
Section: games
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}
