=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,10 @@
 DEB_CABAL_PACKAGE = lambdahack
 DEB_DEFAULT_COMPILER = ghc
 
+ifneq (,$(filter $(DEB_BUILD_ARCH),armel armhf mips mipsel sparc64))
+    DEB_SETUP_GHC_CONFIGURE_ARGS += --ghc-options="-O0"
+endif
+
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/hlibrary.mk
